Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Lessons

Get Question Participations
GET /training/questions/participation
https://api.relesysapp.net/api/v1.1/training/questions/participation
Get a list of Course Question Participations
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseLessonId string / guid Filterable Sortable optional
courseQuestionId string / guid Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
isCorrectAnswer boolean Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
points integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"cc31b1ed-e7cb-4bd9-b1d2-cffae7919c6b","courseQuestionId":"6c827caf-444d-4091-ba16-61b5439fb51b","userId":"dade45d4-12b5-410e-916c-e903a8d87433","isCorrectAnswer":true,"points":2,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"},{"courseLessonId":"c6330fc1-b83b-42c1-a3fa-6a3c7d105c3f","courseQuestionId":"65630861-6a17-42ab-af44-bb807f98703b","userId":"de578191-50e6-488b-b36e-e233249aa83c","isCorrectAnswer":false,"points":0,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"}]}
object
  count integer      
  data array[object]      
   courseLessonId string / guid      
   courseQuestionId string / guid      
   creationDateTime datetimeoffset      
   isCorrectAnswer boolean      
   lastModifiedDateTime datetimeoffset      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string